*** xc/config/cf/os2.cf:1.1	1996/10/26 20:05:31
--- xc/config/cf/os2.cf	1996/10/26 20:06:14
***************
*** 58,64 ****
  #define NroffCmd	groff -Tascii
  #define	EqnCmd 		eqn -Tascii
  #define TroffCmd        groff -Tps
-           COL = /usr/bin/col
           NEQN = NeqnCmd
          NROFF = NroffCmd
  
--- 58,63 ----
*** xc/config/cf/os2.rules:1.1	1996/10/26 19:35:28
--- xc/config/cf/os2.rules	1996/10/26 20:03:02
***************
*** 17,22 ****
--- 17,23 ----
  #define ImakeSubCmdHelper \imake -I$(IRULESRC) $(IMAKE_DEFINES)
  #define Fontc \bdftopcf
  #define MkFontDir \mkfontdir
+ #define XkbComp \xkbcomp
  #else
  #define ImakeHelper imakesvc
  #define IMmode u
***************
*** 24,35 ****
--- 25,38 ----
  #define ImakeSubCmdHelper $(IMAKE_CMD)
  #define Fontc bdftopcf
  #define MkFontDir mkfontdir
+ #define XkbComp xkbcomp
  #endif
  
  #define echo ImakeHelper 8 
  #define RunProgram(progvar,options) $(subst /,\,$(progvar)) options
  #define RemoveFile(file) $(RM) file
  #define RemoveFiles(files) $(RM) files
+ #define NeedLdLibraryPathForXkbComp NO
  
  #define LibObjCompile(dir,options) RemoveFiles($@ dir\$@)		@@\
  	$(CC) $(CCOPTIONS) $(ALLDEFINES) options -c  $*.c		@@\
***************
*** 498,501 ****
--- 501,514 ----
  
  #ifndef StaticLibrary
  #define StaticLibrary(libpath,libname) Concat4(libpath,/,libname,_s.a)
+ #endif
+ 
+ #ifndef MakeXkbDir
+ #define MakeXkbDir(basedir,subdir)					@@\
+ all::	Concat(subdir,.dir)						@@\
+ 									@@\
+ Concat(subdir,.dir):							@@\
+ 	$(XKBCOMPCMD) -lfhlpR -o Concat(subdir,.dir) *			@@\
+ 									@@\
+ InstallTarget(install,Concat(subdir,.dir),$(INSTDATFLAGS),basedir)
  #endif
*** xc/config/cf/Project.tmpl:1.1	1996/10/26 19:49:04
--- xc/config/cf/Project.tmpl	1996/10/26 20:07:12
***************
*** 618,623 ****
--- 618,627 ----
  #endif
  #endif
  
+ #ifndef XkbComp
+ #define XkbComp xkbcomp
+ #endif
+ 
  XCOMM -----------------------------------------------------------------------
  XCOMM X Window System make variables; these need to be coordinated with rules
  
***************
*** 1216,1229 ****
  #define	XkbClientLibs /**/
  #endif
  #endif
! #ifdef UseInstalled
!      XKBCOMPCMD = xkbcomp			/* assume BINDIR in path */
  #else
       XKBCOMPSRC = $(PROGRAMSRC)/xkbcomp
  #if HasSharedLibraries
  XKBCOMPENVSETUP = LdLibraryPath=$(BUILDLIBDIR):$(LdLibraryPath)
  #endif
!      XKBCOMPCMD = $(XKBCOMPENVSETUP) $(XKBCOMPSRC)/xkbcomp
  #endif
  #else /* !BuildXKBlib */
  #ifndef XkbClientDepLibs
--- 1220,1233 ----
  #define	XkbClientLibs /**/
  #endif
  #endif
! #if defined(UseInstalled) || defined(OS2Architecture)
!      XKBCOMPCMD = XkbComp			/* assume BINDIR in path */
  #else
       XKBCOMPSRC = $(PROGRAMSRC)/xkbcomp
  #if HasSharedLibraries
  XKBCOMPENVSETUP = LdLibraryPath=$(BUILDLIBDIR):$(LdLibraryPath)
  #endif
!      XKBCOMPCMD = $(XKBCOMPENVSETUP) $(XKBCOMPSRC)/XkbComp
  #endif
  #else /* !BuildXKBlib */
  #ifndef XkbClientDepLibs
*** xc/config/util/buildos2.cmd:1.1	1996/10/25 02:12:02
--- xc/config/util/buildos2.cmd	1996/10/25 06:44:06
***************
*** 12,18 ****
  'copy config\util\mkdirhier.cmd \ > nul 2>&1'
  'copy config\imake\imakesvc.cmd \ > nul 2>&1'
  
! IF \(exists('Makefile.os2')) THEN 'COPY Makefile Makefile.os2 >nul 2>&1'
  
  CALL VALUE 'GCCOPT','-pipe',env
  CALL VALUE 'EMXLOAD',5,env
--- 12,18 ----
  'copy config\util\mkdirhier.cmd \ > nul 2>&1'
  'copy config\imake\imakesvc.cmd \ > nul 2>&1'
  
! CALL create_makefile
  
  CALL VALUE 'GCCOPT','-pipe',env
  CALL VALUE 'EMXLOAD',5,env
***************
*** 20,37 ****
  'emxload x11make.exe gcc.exe rm.exe mv.exe'
  
  'x11make MAKE=x11make SHELL= MFLAGS="MAKE=x11make CC=gcc BOOTSTRAPCFLAGS=-DBSD43 SHELL= " World.OS2 2>&1 | tee buildxc.log'
- /* cleanup the mess */
- /* del \indir.cmd 
-  * del \mkdirhier.cmd
-  * del \imakesvc.cmd
-  * del \imake.exe
-  * del \makedepend.exe
-  */
  
  EXIT
  
  /* returns 1, if file exists */
  exists:
! 'DIR "'arg(1)'" >nul 2>&1'
! IF rc = 0 THEN return 1
! RETURN 0
--- 20,106 ----
  'emxload x11make.exe gcc.exe rm.exe mv.exe'
  
  'x11make MAKE=x11make SHELL= MFLAGS="MAKE=x11make CC=gcc BOOTSTRAPCFLAGS=-DBSD43 SHELL= " World.OS2 2>&1 | tee buildxc.log'
  
  EXIT
  
  /* returns 1, if file exists */
  exists:
! 	IF STREAM(arg(1), 'C', 'QUERY EXISTS') = '' THEN
! 		RETURN 0
! 	ELSE
! 		RETURN 1
! 
! create_makefile:
! IF exists(Makefile) THEN del Makefile
! CALL LINEOUT 'Makefile','RELEASE = "Release 6.1beta"',1
! CALL LINEOUT 'Makefile','SHELL = /bin/sh'
! CALL LINEOUT 'Makefile','RM = rm -f'
! CALL LINEOUT 'Makefile','MV = mv'
! CALL LINEOUT 'Makefile','WORLDOPTS = -k'
! CALL LINEOUT 'Makefile','TOP = .'
! CALL LINEOUT 'Makefile','CURRENT_DIR = .'
! CALL LINEOUT 'Makefile','CONFIGSRC = $(TOP)/config'
! CALL LINEOUT 'Makefile','IMAKESRC = $(CONFIGSRC)/imake'
! CALL LINEOUT 'Makefile','DEPENDSRC = $(CONFIGSRC)/makedepend'
! CALL LINEOUT 'Makefile','DEPENDTOP = ../..'
! CALL LINEOUT 'Makefile','IMAKETOP = ../..'
! CALL LINEOUT 'Makefile','IRULESRC = $(CONFIGSRC)/cf'
! CALL LINEOUT 'Makefile','IMAKE = $(IMAKESRC)/imake'
! CALL LINEOUT 'Makefile','IMAKE_CMD = $(IMAKE) -I$(IRULESRC) $(IMAKE_DEFINES)'
! CALL LINEOUT 'Makefile','MAKE_OPTS = '
! CALL LINEOUT 'Makefile','MAKE_CMD = $(MAKE) $(MAKE_OPTS)'
! CALL LINEOUT 'Makefile','FLAGS = $(MFLAGS) -f Makefile.ini BOOTSTRAPCFLAGS="$(BOOTSTRAPCFLAGS)"'
! CALL LINEOUT 'Makefile',' '
! CALL LINEOUT 'Makefile','World.OS2:'
! CALL LINEOUT 'Makefile','	@echo :'
! CALL LINEOUT 'Makefile','	@echo Building $(RELEASE) of the X Window System on OS/2.'
! CALL LINEOUT 'Makefile','	@echo :'
! CALL LINEOUT 'Makefile','	@echo :'
! CALL LINEOUT 'Makefile','	\indir $(IMAKESRC) $(MAKE) SHELL= -f Makefile.ini clean.os2'
! CALL LINEOUT 'Makefile','	\indir $(IMAKESRC) $(MAKE) SHELL= CC=gcc -f Makefile.ini imake.os2'
! CALL LINEOUT 'Makefile','	-if exist Makefile.bak del Makefile.bak'
! CALL LINEOUT 'Makefile','	-if exist Makefile ren Makefile Makefile.bak'
! CALL LINEOUT 'Makefile','	$(subst /,\,$(IMAKE)) -I$(IRULESRC) $(IMAKE_DEFINES) -DTOPDIR=$(TOP) -DCURDIR=$(CURRENT_DIR)'
! CALL LINEOUT 'Makefile','	$(MAKE) $(MFLAGS) VerifyOS'
! CALL LINEOUT 'Makefile','	$(MAKE) $(MFLAGS) Makefiles'
! CALL LINEOUT 'Makefile','	$(MAKE) $(MFLAGS) clean'
! CALL LINEOUT 'Makefile','	$(MAKE) $(MFLAGS) includes'
! CALL LINEOUT 'Makefile','	$(MAKE) $(MFLAGS) depend'
! CALL LINEOUT 'Makefile','	$(MAKE) $(MFLAGS)  '
! CALL LINEOUT 'Makefile','	@echo :'
! CALL LINEOUT 'Makefile','	@echo :'
! CALL LINEOUT 'Makefile','	@echo Full build of $(RELEASE) of the X Window System complete.'
! CALL LINEOUT 'Makefile','	@echo :'
! CALL LINEOUT 'Makefile',' '
! CALL LINEOUT 'Makefile','# dont allow any default rules in this Makefile'
! CALL LINEOUT 'Makefile','.SUFFIXES:'
! CALL LINEOUT 'Makefile','# quiet "make" programs that display a message if suffix list empty'
! CALL LINEOUT 'Makefile','.SUFFIXES: .Dummy'
! CALL LINEOUT 'Makefile',' '
! CALL LINEOUT 'Makefile','# a copy of every rule that might be invoked at top level'
! CALL LINEOUT 'Makefile',' '
! CALL LINEOUT 'Makefile','clean:'
! CALL LINEOUT 'Makefile','	    $(MAKE_CMD) $@'
! CALL LINEOUT 'Makefile','dangerous_strip_clean:'
! CALL LINEOUT 'Makefile','	    $(MAKE_CMD) $@'
! CALL LINEOUT 'Makefile','depend:'
! CALL LINEOUT 'Makefile','	    $(MAKE_CMD) $@'
! CALL LINEOUT 'Makefile','Everything:'
! CALL LINEOUT 'Makefile','	    $(MAKE_CMD) $@'
! CALL LINEOUT 'Makefile','includes:'
! CALL LINEOUT 'Makefile','	    $(MAKE_CMD) $@'
! CALL LINEOUT 'Makefile','install.man:'
! CALL LINEOUT 'Makefile','	    $(MAKE_CMD) $@'
! CALL LINEOUT 'Makefile','install:'
! CALL LINEOUT 'Makefile','	    $(MAKE_CMD) $@'
! CALL LINEOUT 'Makefile','Makefiles:'
! CALL LINEOUT 'Makefile','	    $(MAKE_CMD) $@'
! CALL LINEOUT 'Makefile','man_keywords:'
! CALL LINEOUT 'Makefile','	    $(MAKE_CMD) $@'
! CALL LINEOUT 'Makefile','tags:'
! CALL LINEOUT 'Makefile','	    $(MAKE_CMD) $@'
! CALL LINEOUT 'Makefile','VerifyOS:'
! CALL LINEOUT 'Makefile','	    $(MAKE_CMD) $@'
! CALL LINEOUT 'Makefile',' '
! CALL STREAM 'Makefile','c','close'
! RETURN
*** xc/programs/xhost/xhost.c:1.1	1996/10/25 02:22:13
--- xc/programs/xhost/xhost.c	1996/10/25 02:22:38
***************
*** 85,91 ****
  #include <arpa/inet.h>
  	bogus definition of inet_makeaddr() in BSD 4.2 and Ultrix
  #else
! #if !defined(hpux) && !defined(NCR)
  extern unsigned long inet_makeaddr();
  #endif
  #endif
--- 85,91 ----
  #include <arpa/inet.h>
  	bogus definition of inet_makeaddr() in BSD 4.2 and Ultrix
  #else
! #if !defined(hpux) && !defined(NCR) && !defined(__EMX__)
  extern unsigned long inet_makeaddr();
  #endif
  #endif
*** xc/programs/xinit/xinitrc.cmd:1.1	1996/11/03 13:01:27
--- xc/programs/xinit/xinitrc.cmd	1996/11/03 13:02:02
***************
*** 36,47 ****
   * 'xsetroot -bitmap 'xbitmapdir'\xfree1'
   * 'xsetroot -bitmap 'xbitmapdir'\xfree2'
   */
! 'start/min/k "X Clock" xclock -update 1 -geometry 100x100-1+1'
! 'start/min/k "Login Xterm" xterm -sb -geometry 80x25+0+0 -name login'
  IF manpath \= '' THEN
! 	'start/min/k "X Manual" xman -geometry 100x100-105+1'
! /* 'start/min/k "Xterm 1" xterm -sb -geometry 80x50+494+51' */
! /* 'start/min/k "Xterm 2" xterm -sb -geometry 80x20+494-0' */
  'twm'
  
  EXIT
--- 36,57 ----
   * 'xsetroot -bitmap 'xbitmapdir'\xfree1'
   * 'xsetroot -bitmap 'xbitmapdir'\xfree2'
   */
! 
! /****** WARNING! *********
!  * Below some programs are started minimized, some are started detached.
!  * In general, those that spawn other shells are minimized, others may be
!  * detached. You might be tempted to run the xterm's as well as detached.
!  * This works, but leaves you with an independent xterm/cmd pair, when the 
!  * server shuts down, which you can only see in watchcat, not the process list.
!  * If you start and stop x11 multiple times, this will let you run out of
!  * PTYs, and will lead to a large number of background sessions.
!  */
! 'detach xclock -update 1 -geometry 100x100-1+1'
! 'start/min/n "Login Xterm" xterm -sb -geometry 80x25+0+0 -name login'
  IF manpath \= '' THEN
! 	'detach "X Manual" xman -geometry 100x100-105+1'
! /* 'startx/min/n "Xterm 1" xterm -sb -geometry 80x50+494+51' */
! /* 'startx/min/n "Xterm 2" xterm -sb -geometry 80x20+494-0' */
  'twm'
  
  EXIT
*** xc/programs/xkbcomp/Imakefile:1.1	1996/10/26 19:41:25
--- xc/programs/xkbcomp/Imakefile	1996/10/26 19:43:02
***************
*** 36,38 ****
--- 36,42 ----
  
  ComplexProgramTarget(xkbcomp)
  
+ #ifdef OS2Architecture
+ all::
+ 	$(CP) ProgramTargetName(xkbcomp) /
+ #endif
*** xc/programs/Xserver/hw/xfree86/doc/OS2.Notes:1.1	1996/11/03 00:40:12
--- xc/programs/Xserver/hw/xfree86/doc/OS2.Notes	1996/11/03 00:55:52
***************
*** 1,15 ****
    Notes on Rebuilding XFree86/OS2 from Scratch
    Holger Veit
!   Last modified 22 Feb 1996
  
    1.  Preface
! 
!   X11 and XFree86 were initially developed on Unix-based systems.
!   Usually Unix systems provide a rich number of tools and utilities to
    get certain things done. Under OS/2, these tools are not installed,
    but ports are available which are sometimes functionally equivalent to
!   Unix utilities with the same name, but also differ sometimes in a
!   subtle way.  This guide will give you hints if you intend to rebuild
    the system from scratch under OS/2.
  
    Please also read README.OS2 for end-user information, and set at least
--- 1,15 ----
    Notes on Rebuilding XFree86/OS2 from Scratch
    Holger Veit
!   Last modified 2 Nov 1996
  
    1.  Preface
!   
!   X11 and XFree86 were initially developed on Unix-based systems. 
!   Usually Unix systems provide a rich number of tools and utilities to 
    get certain things done. Under OS/2, these tools are not installed,
    but ports are available which are sometimes functionally equivalent to
!   Unix utilities with the same name, but also differ sometimes in a 
!   subtle way. This guide will give you hints if you intend to rebuild 
    the system from scratch under OS/2.
  
    Please also read README.OS2 for end-user information, and set at least
***************
*** 20,115 ****
    I have tried to reduce the number of external tools, but when looking
    back it seems I were not very successful. At least I managed to get
    everything working with the native CMD.EXE shell only. However, there
!   is still plenty of software required.  Most of this software is
    available from hobbes.nmsu.edu or ftp.leo.org via anonymous FTP. The
    following shopping list shows what you will need:
  
  
!      o  gcc     EMX/gcc emx 0.9B fix 1 or later
! 
!      o  gzip    GNU zip/unzip
! 
!      o  tar     GNU tar
  
!      o  patch   Larry Wall's patch utility (attention: incompatible tool
          with same name in OS/2)
  
!      o  install BSD/GNU install
  
!      o  rm,mv,cp        GNU file utilities
  
!      o  tee,..  GNU shell utilities
  
!      o  groff   GNU nroff/troff
  
!      o  sed     GNU sed stream editor
  
!      o  grep    GNU grep
  
!      o  gawk    GNU awk
  
!      o  make    GNU make 3.71/3.72
  
!      o  flex    GNU flex
  
!      o  bison   GNU bison
  
!      o  find    GNU find    (attention: incompatible tool with the same
          name in OS/2)
  
    If there is no version number given, any new version will do.
!   Particularly critical is only EMX/gcc and GNU make. Note that the
!   second GCC implementation which might still be available from some
    archives is NOT compatible.
! 
!   Furthermore, you need the X11R6.1 and XFree86 sources.  At this
! 
    moment, I cannot say anything about the file names to obtain, because
    things are currently in the flow. The X Consortium is about to publish
!   an update to X11R6, named X11R6.1 (cynics call this "X11'95" :-) ); I
!   don't know whether a patch or an entirely new version will be issued.
!   The public XFree86 sources will likely be called XFree86-3.2.tar.gz;
!   for sources for the alpha version XFree86/OS2 3.1.2D you must become a
    member of XFree86.
! 
    3.  Compiling and Installing
! 
    You need about 300MB of free HPFS space for the whole system. This
!   does not include space for the postscript and troff documentation
!   files. I have never installed them. Nor did I install the test
!   subtree.
  
  
!      1. Install all the above utilities. Refer to the corresponding
!         documentation.  Verify that everything works well, particularly
          EMX.
  
       2. It is a good idea to use the same or a similar structure I have.
          I have made a directory \x11 on the partition for compiling and
          have put everything below this tree. I found that a clean tree
          occupies less than the half space of the disk, this gives me the
!         opportunity to rename this tree to \x11old and copy a new
!         version to the same disk to produce diffs. Last time the
!         complete tree was arranged under the root directory xc, this
          would become \x11\xc then.
  
       3. To unpack the files you would usually execute the command
  
          gzip -dc file.tar.gz | tar xvf -
  
! 
!      in the \x11 directory. At the end you will usually see the irritat-
!      ing, but non-fatal message "gzip: stdout Broken pipe". Ignore it.
  
       4. After that, is is likely necessary to apply some patches, either
          from the XConsortium or from the XFree86 project. Before you do
          this, enter
  
!               chmod -R a+rw \ex11\exc
! 
  
! 
!      to make certain files in the tree writable.
  
       5. There should be a file added-XXX accompanying the patch file
          which lists the files that are newly created. The patch program
--- 20,114 ----
    I have tried to reduce the number of external tools, but when looking
    back it seems I were not very successful. At least I managed to get
    everything working with the native CMD.EXE shell only. However, there
!   is still plenty of software required. Most of this software is
    available from hobbes.nmsu.edu or ftp.leo.org via anonymous FTP. The
    following shopping list shows what you will need:
+   
  
+      o  gcc	EMX/gcc emx 0.9C or later
  
!      o  gzip	GNU zip/unzip
  
!      o  tar	GNU tar
!   
!      o  patch	Larry Wall's patch utility (attention: incompatible tool 
          with same name in OS/2)
  
!      o  install	BSD/GNU install
  
!      o  rm,mv,cp	GNU file utilities
  
!      o  tee,..	GNU shell utilities
  
!      o  groff	GNU nroff/troff
  
!      o  sed	GNU sed stream editor
  
!      o  grep	GNU grep
  
!      o  gawk	GNU awk
  
!      o  make	GNU make 3.71/3.72
  
!      o  flex	GNU flex
  
!      o  bison	GNU bison
  
!      o  find	GNU find    (attention: incompatible tool with the same 
          name in OS/2)
  
+      o  tcl/tk    This is needed for the XF86Setup utility; a suitable 
+         binary set is available from the ported software WWW page
+   
    If there is no version number given, any new version will do.
!   Particularly critical is only EMX/gcc and GNU make. Note that the 
!   second GCC implementation which might still be available from some 
    archives is NOT compatible.
!   
!   Furthermore, you need the X11R6.1 and XFree86 sources. At this 
    moment, I cannot say anything about the file names to obtain, because
    things are currently in the flow. The X Consortium is about to publish
!   an update to X11R6, named X11R6.1 (cynics call this "X11'95" :-) ); I 
!   don't know whether a patch or an entirely new version will be issued. 
!   The public XFree86 sources will likely be called XFree86-3.2.tar.gz; for
!   sources for an alpha or beta version of XFree86/OS2 you must become a 
    member of XFree86.
!   
    3.  Compiling and Installing
!   
    You need about 300MB of free HPFS space for the whole system. This
!   does not include space for the postscript and troff documentation 
!   files. I have never installed them. Nor did I install the test subtree.
  
  
!      1. Install all the above utilities. Refer to the corresponding 
!         documentation. Verify that everything works well, particularly
          EMX.
  
       2. It is a good idea to use the same or a similar structure I have.
          I have made a directory \x11 on the partition for compiling and
          have put everything below this tree. I found that a clean tree
          occupies less than the half space of the disk, this gives me the
!         opportunity to rename this tree to \x11old and copy a new 
!         version to the same disk to produce diffs. Last time the 
!         complete tree was arranged under the root directory xc, this 
          would become \x11\xc then.
  
       3. To unpack the files you would usually execute the command
  
          gzip -dc file.tar.gz | tar xvf -
  
!         in the \x11 directory. At the end you will usually see the
!         irritating, but non-fatal message "gzip: stdout Broken pipe". 
!         Ignore it.
  
       4. After that, is is likely necessary to apply some patches, either
          from the XConsortium or from the XFree86 project. Before you do
          this, enter
  
!               chmod -R a+rw \x11\xc
  
!         to make certain files in the tree writable.
  
       5. There should be a file added-XXX accompanying the patch file
          which lists the files that are newly created. The patch program
***************
*** 120,266 ****
          xc\config\util\added added-XXX
  
  
!      If there is no added-XXX file available, you can make one with the
!      following instructions:
! 
!            grep "\*\*\* xc/" patchfile >added-file
! 
! 
! 
!      Edit added-file with a text editor and remove the ***  at the
!      beginning and the time stamp at the end (search for a TAB and erase
! 
!      to the end of the line). You get a list of file paths, one in a
!      line, which is the input to the added utility.
! 
!      6. After that you can apply the patches in the right order. Usually
!         this is done by a command
! 
!               patch -p -E <patchfile 2>&1 | tee patchlog
! 
  
  
-      from the \x11 directory. Be aware to use the right patch - OS/2 has
-      a utility with the same name and different functionality.  Don't
-      use the recommended -s option, this makes patch quiet, and you
-      won't see problems in the patchlog file. Use
  
!            find \x11 -name *.rej -print
!            find \x11 -name *# -print
  
  
  
!      to find any rejects and unapplied patches (attention: yet another
!      OS/2 program with wrong functionality). Normally there shouldn't be
!      any problems of this kind, else you have made a mistake. finally
!      remove the original files with
  
!            find \x11 -name *.orig -print -exec rm {} ;
  
  
  
  
!      7. Go to the xc/config/cf directory and edit the xf86site.def file
!         to match your requirements (you probably don't want to compile
!         all X servers). Certain changes must be set to the following
!         values:
  
!         o  Disable if not already done any PC98 server; PC98 (Japanese
!            XFree86) does not work yet. Porters from Japan are welcome!
  
!         o  #define WacomSupport            NO #define ElographicsSupport
!            NO Both options are not yet supported.
  
!         o  #define ForceNormalLib NO There is no support for static
!            libraries yet; why would you need them anyway.
  
!      8. Go to the directory xc\util\compress and make compress.exe
!         there. Install the program produced there in your path. I
!         stumbled more than once on half-ported compress programs on OS/2
!         ftp servers that are defective w.r.t.  reading and writing
!         stdin/stdout. In some stage (font compression) otherwise you
!         will get a core dump of mkfontdir, because all compressed fonts
!         are corrupt.
  
       9. Set the environment variable X11ROOT to something different than
          it is; otherwise the installation process will overwrite your
          original XFree86/OS2 installation. If you have not set this
!         variable, go back to the prefix section of this document: you
!         have forgotten something.
  
       10.
          Copy the file xc/config/util/buildos2.cmd into the xc directory.
! 
!      11.
!         Execute this buildos2.cmd command in the xc directory; it will
          produce a logfile buildxc.log in this directory.
  
- 
       12.
!         Go have a bucket of coffee. The compile will need between 2 and
!         20 hours.
  
       13.
!         When finished, view the logfile for errors, and fix the problems
!         if there are some. I have managed to compile the whole system
          flawlessly, so there is at least one configuration that works.
  
       14.
          Finally, from the xc dir, execute
  
!               xmake install
!               xmake install.man
! 
! 
! 
! 
    Well, you see, this was quite easy :-)
! 
! 
!   Generated from XFree86: xc/programs/Xserver/hw/xfree86/doc/sgml/OS2note.sgml,v 3.1 1996/02/24 10:19:19 dawes Exp $
! 
! 
! 
! 
! 
    $XConsortium$
  
- 
- 
- 
- 
- 
- 
- 
- 
- 
- 
- 
- 
- 
- 
- 
- 
- 
- 
- 
- 
- 
- 
- 
- 
- 
- 
- 
- 
- 
- 
- 
- 
- 
- 
- 
- 
- 
- 
- $XFree86: xc/programs/Xserver/hw/xfree86/doc/OS2.Notes,v 3.3 1996/02/24 10:48:46 dawes Exp $
--- 119,220 ----
          xc\config\util\added added-XXX
  
  
!         If there is no added-XXX file available, you can make one with
!         the following instructions:
  
+         grep "\*\*\* xc/" patchfile >added-file
  
  
!         Edit added-file with a text editor and remove the ***  at the 
!         beginning and the time stamp at the end (search for a TAB and
!         erase to the end of the line). You get a list of file paths, 
!         one in a line, which is the input to the added utility.
  
+      6. After that you can apply the patches in the right order. Usually this
+         is done by a command
  
+         patch -p -E <patchfile 2>&1 | tee patchlog
  
!         from the \x11 directory. Be aware to use the right patch - OS/2 has 
!         a utility with the same name and different functionality. Don't 
!         use the recommended -s option, this makes patch quiet, and you 
!         won't see problems in the patchlog file. Use
  
!         find \x11 -name *.rej -print 
!         find \x11 -name *# -print
  
+         to find any rejects and unapplied patches (attention: yet another 
+         OS/2 program with wrong functionality). Normally there shouldn't
+         be any problems of this kind, else you have made a mistake. Finally
+         remove the original files with
  
+         find \x11 -name *.orig -print -exec rm {} ;
  
+      7. Go to the xc/config/cf directory and edit the xf86site.def
+         file to match your requirements (you probably don't want to compile
+         all X servers). Certain changes must be set to the following values:
  
!            o  Disable if not already done any PC98 server; PC98 (Japanese 
!               XFree86) does not work yet. Porters from Japan are welcome!
  
!            o  #define WacomSupport            NO
!               #define ElographicsSupport      NO
!               Both options are not yet supported.
  
!            o  Tcl* and Tk* don't need to be set explicitly. Reasonable 
!               defaults are in the other config files, provided you have
!               a complete XFree86/OS2 binary tree with the tcl/tk runtime 
!               support installed.
  
!            o  #define BuildDynamicLoading   NO
!               This does not work.
  
!      8. Go to the directory xc\util\compress and make compress.exe there. 
!         Install the program produced there in your path. I stumbled more 
!         than once on half-ported compress programs on OS/2 ftp servers
!         that are defective w.r.t. reading and writing stdin/stdout. In
!         some stage (font compression) otherwise you will get a core dump
!         of mkfontdir, because all compressed fonts are corrupt.
  
       9. Set the environment variable X11ROOT to something different than
          it is; otherwise the installation process will overwrite your
          original XFree86/OS2 installation. If you have not set this
!         variable, go back to the prefix section of this document: you have 
!         forgotten something.
  
       10.
          Copy the file xc/config/util/buildos2.cmd into the xc directory.
!   
!      11. 
!         Execute this buildos2.cmd command in the xc directory; it will 
          produce a logfile buildxc.log in this directory.
  
       12.
!         Go have a bucket of coffee, or better, buy new coffee - in Columbia!
!         The compile will need between 2 and 20 hours.
  
       13.
!         When finished, view the logfile for errors, and fix the problems if
!         there are some. I have managed to compile the whole system
          flawlessly, so there is at least one configuration that works.
  
       14.
          Finally, from the xc dir, execute
  
!         xmake install
!         xmake install.man
!   
    Well, you see, this was quite easy :-)
!   
!   
!   
!   
!   $XFree86$
!   
!   
!   
!   
!   
    $XConsortium$
+   
  
